Upgrade server (all virtual machines) to Debian bullseye

08/09/2021 17:23 - Philippe May

Status: In Progress Start date: 22/10/2021

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Debian 11 (Bullseye) has been released as the "stable" version.

The host (dom0) and almost all VMs run with Debian 10 (Buster), except gisdb, and ned to be upgraded.

This is part of regular maintenance.

Subtasks:

Support # 13068: Migrate gisaf VM to bullseye Resolved

History

#1 - 22/10/2021 12:32 - Philippe May

Standard procedure:

apt update

apt upgrade

apt full-upgrade

sed -i 's/buster/bullseye/g' /etc/apt/sources.list

apt update

apt upgrade

apt full-upgrade

#2 - 22/10/2021 12:32 - Philippe May

Executed on infra.csr.av => OK

#3 - 25/10/2021 17:34 - Philippe May

- Status changed from New to In Progress

Redmine was not reachable when i proceeded with the update (mostly: yesterday for the domUs, and today for the dom0).

So, quickly, it was quite smooth for domUs, but it was a bit more difficult for the dom0:

- had to grub-install because the grub config now contains pragmas only valid with recent grub. No error message, no doc, so i found it almost by

chance.

- adjusted minimal RAM for domUs (kernel 4 => 5)

System now runs with main functions OK. Still need to fix few thing, eg. cpus allocated to dom9 (was 1, now it takes the 4 cpus).
